--TEST--
zip::open() function
--SKIPIF--
<?php
/* $Id: oo_open.phpt,v 1.4 2006/07/14 09:44:39 pajoye Exp $ */
if(!extension_loaded('zip')) die('skip');
?>
--FILE--
<?php

$dirname = dirname(__FILE__) . '/';
$zip = new Zip;
$r = $zip->open($dirname . 'nofile');
if ($r !== TRUE) {
	echo "ER_OPEN: ok\n";
} else {
	echo "ER_OPEN: FAILED\n";
}

$r = $zip->open($dirname . 'nofile', ZIP::CREATE);
if (!$r) {
	echo "create: failed\n";
} else {
	echo "create: ok\n";
}
@unlink($dirname . 'nofile');

$zip = new Zip;
$zip->open('');

if (!$zip->open($dirname . 'test.zip')) {
	exit("failed 1\n");
}

if ($zip->status == ZIP::ER_OK) {
	echo "OK\n";
} else {
	echo "failed\n";
}
?>
--EXPECTF--
ER_OPEN: ok
create: ok

Warning: Zip::open(): Empty string as source in %s on line %d
OK
